GETLeague by ID
League profile with seasons and current season, stage and round.
/v2.2/leagues/ with t=info
Try it in the interactive referenceAll Leagues operations
Request
GET /v2.2/leagues/?user=USER&token=TOKEN&t=info&id=1005- Every request needs the
userandtokenquery parameters of the account.
Parameters
| Name | Required | Description | Example |
|---|---|---|---|
id | yes | League ID. | 1005 |
Example response
{
"data": {
"id": 1005,
"name": "Tipico Bundesliga",
"is_cup": "0",
"is_amateur": "0",
"is_friendly": "0",
"img": "https://cdn.soccersapi.com/images/soccer/leagues/100/1005.png",
"id_current_season": "21096",
"id_current_stage": "1",
"id_current_round": "217291",
"continent": {
"id": 2,
"name": "Europe"
},
"country": {
"id": 15,
"name": "Austria",
"cc": "at"
},
"seasons": [
{
"id": 21096,
"name": "26/27",
"is_current": "1"
}
]
},
"meta": {
"requests_left": 2950,
"user": "your_username",
"plan": "Soccer API 50",
"page": 1,
"pages": 1,
"count": 1,
"total": 1,
"msg": ""
}
}